<template>
  <router-link :class="$style.navItem" :to="{ name: href }">
    <slot></slot>
  </router-link>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "TheNavItem",
  props: {
    href: {
      type: String
    }
  },
  data: function() {
    return {
      isActive: false
    };
  }
});
</script>

<style module lang="scss">
.navItem {
  padding: 1rem 2rem;
  color: $color--primary;
  transition: color 0.2s, backround-color 0.3s;
  &:hover {
    background-color: $color--primary;
    color: white;
  }
}

@media screen and (max-width: $device-size--mobile-large) {
  .navItem {
    &:hover {
      background-color: $color--primary;
      color: inherit;
    }
  }
}

:global {
  .active-menu-link {
    background-color: $color--primary;
    color: white;
  }
}
</style>
